org.mariadb.jdbc.internal.common.queryresults

## Class UpdateResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult
  - - org.mariadb.jdbc.internal.common.queryresults.ModifyQueryResult
    - - org.mariadb.jdbc.internal.common.queryresults.UpdateResult

    public class UpdateResult
    extends ModifyQueryResult

### Constructor Summary

Constructors
Constructor and Description
`UpdateResult(long updateCount, short warnings, String message, long insertId)`

### Method Summary

Methods
`void` `close()`
`MySQLColumnInformation[]` `getColumnInformation()`
`long` `getInsertId()`
`String` `getMessage()`
`ResultSetType` `getResultSetType()`
`int` `getRows()`
`long` `getUpdateCount()`
`short` `getWarnings()`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.QueryResult

`isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateResult

    public UpdateResult(long updateCount,
                short warnings,
                String message,
                long insertId)

### Method Detail

#### getUpdateCount

    public long getUpdateCount()

Specified by:
  `getUpdateCount` in class `ModifyQueryResult`

#### getResultSetType

    public ResultSetType getResultSetType()

Specified by:
  `getResultSetType` in class `QueryResult`

#### close

    public void close()

Overrides:
  `close` in class `QueryResult`

#### getWarnings

    public short getWarnings()

Specified by:
  `getWarnings` in class `QueryResult`

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in class `ModifyQueryResult`

#### getColumnInformation

    public MySQLColumnInformation[] getColumnInformation()

Specified by:
  `getColumnInformation` in class `QueryResult`

#### getRows

    public int getRows()

Specified by:
  `getRows` in class `QueryResult`

#### getInsertId

    public long getInsertId()

Specified by:
  `getInsertId` in class `ModifyQueryResult`